/*
 * JPA entity PK template
 */

package de.ivu.elect.business.niederschrift.entity;

@javax.enterprise.inject.Vetoed
public class NiederschriftKorrekturPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<NiederschriftKorrekturPK> {

  private static final long serialVersionUID = 0L;

  public NiederschriftKorrekturPK() {
    super();
  }

  public NiederschriftKorrekturPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "NiederschriftKorrekturPK:"+getId();
  }

  @Override
  public int compareTo(NiederschriftKorrekturPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
